Skip Headers

Oracle® Argus Mart Release Notes For Release 1.0 |
Home | Book List | Contents | Contact Us

Previous

# Oracle® Argus Mart

Release Notes

For Release 1.0

E39065-01

April 2013

## 1 Contents

- Section 2, "Overview"

- Section 3, "Supported Environments"

- Section 4, "New Features and Enhancements"

- Section 5, "Installing Oracle Argus Mart 1.0"

- Section 6, "Revision History"

- Section 7, "Documentation Accessibility"

## 2 Overview

Priority | High
Platforms | All
Patches Obsoleted | None
Compatibility | Argus Safety 7.0.2 Empirica Signal 7.3.3.1
Upgradability | This is the first version of the application.
Version | This is the first version of the Release Notes.

Go to Contents

## 3 Supported Environments

The following environment details are certified in this release:

Specification | Oracle Data Integrator Server | Database | DBInstaller | Client
--- | --- | --- | --- | ---
Operating System | Windows Server 2008 with SP1or above (64 Bit)Windows Server 2008 R2 (64 Bit)Oracle Enterprise Linux 6.2 (64 Bit)Oracle Sun Solaris 10 (64 Bit) Oracle Sun Solaris 11 (64 Bit) | Windows Server 2008 with SP1or above (64 Bit)Windows Server 2008 R2 (64 Bit)Oracle Enterprise Linux 6.2 (64 Bit)Oracle Sun Solaris 10 (64 Bit) Oracle Sun Solaris 11 (64 Bit) | Windows 2008 SP2 Standard(32 bit)Windows 2008 SP2 (32 bit) Enterprise Windows 2008 R2 Standard (64 bit)Windows 2008 R2 Enterprise (64 bit)Windows XP Pro SP3 (32 bit) | Windows XP Pro SP3 (English)(32 bit)Windows 7(English)(32 bit)
Oracle Database |  | 11.2.0.1.0 (Enterprise) - AL32UTF8 character set11.2.0.3.0 (Enterprise) - AL32UTF8 character set11.2.0.1.0 (Standard) - AL32UTF8 character set Note: Oracle database standard edition is supported for single tenant deployment only 11.2.0.3(Standard/ Enterprise) - AL32UTF8 character set |  |
Browser |  |  |  | IE 8.0, IE 9.0
Oracle Data Integrator | 11.1.1.6 |  |  |

Refer to the Oracle Argus Mart 1.0 Installation Guide for detailed information about the technology stack.

Go to Contents

## 4 New Features and Enhancements

This section describes the features introduced in Oracle Argus Mart 1.0:

- Reporting Mart (RM)

- Signal Detection Tables (SM Tables)

- Multi-Tenancy Support

- ETL

- User Management

### 4.1 Reporting Mart (RM)

This section contains information on RM tables:

- RM Data Fields

- RM Revisions

- RM Secure Unblinding

- RM Delete Case Support

- RM Reference Data

Go to Contents

#### 4.1.1 RM Data Fields

This section explains the RM Data Fields as follows:

- Argus Mart populates the data required for reports for Submission Compliance, Data Analysis, Case Processing, and Quality Assurance.

- The tables required for reports are added and populated by the ETL (Initial and Incremental) in the Mart.

- All the columns, including J data-related columns (except BLOB and CLOB) of tables, are fetched into the Mart.

- The columns of 'BLOB' datatype are not brought over to Mart.

- Only CLOB columns fetched into Mart.

- All the columns are a straight copy.

- No additional transformed column has been added.

#### 4.1.2 RM Revisions

This section explains the RM Revision details as follows:

- The Argus Safety (AS) database does not provide the history of case data revisions in a form that allows efficient query access. Hence, Argus Safety Data Lock Point (DLP) is used as a source to retrieve the history of case data revisions. The history of external report submissions, MedDRA, and WHO data is not available in DLP. Therefore, it is fetched from the Argus Safety database.

- The history of case revisions is supported, as and when the DLP system is deployed in production.

- The revision history is maintained for CASE tables. The LM/CFG tables contain the most recent data, as available in Argus Safety.

- All case revisions (locked/unlocked and deleted) from DLP are fetched into the Reporting Mart.

- A case-level index table is created to query on all locked revisions available in the RM Mart.

#### 4.1.3 RM Secure Unblinding

This section explains the RM Secure Unblinding details as follows:

- Study cases are available in the Reporting Mart tables.

- For finished and unblinded Study cases:

  - The unblinded study cases from studies which are finished and unblinded for all members of the sponsor organization display true treatment (unblinded drugs) information for the study drugs, as present in the DLP database.

  - The blinded study cases from studies which are finished and unblinded for all members of the sponsor organization display drug information, as present in the DLP database.

- For not finished and not unblinded Study cases:

  - If the study has not finished and is still blinded and an individual case has been unblinded in Argus Safety and DLP (securely unblinded case), there are two set of columns to support two views of information available in the Reporting Mart for such cases:

    - Unblinded Representation - Such cases display the true treatment information in the Reporting Mart tables (using true treatment information columns).

    - Blinded Representation - Such cases hides the true treatment (unblinded drugs) information in the Reporting Mart tables (using blinded information columns).

  - If the study has not finished and is still blinded, and an individual case is also blinded in Argus Safety and DLP, the case still remains blinded in RM tables and displays drug information.

  - Blinded locked and closed cases - In Argus Safety, the blinded, locked and closed cases are modified through the End of Study Unblinding (EOSU) module, when the study is unblinded. Hence, a new case revision is created in the DLP. These new case revisions are picked up by the next ETL run and true treatment (unblinded drugs) information is fetched into RM tables.

  - Blinded unlocked/open cases - In Argus Safety, blinded unlocked/open cases are not modified through the EOSU module, when the study is unblinded. The blinded unlocked/open cases displays drug information, as present in the DLP database.

- The non-study drugs in study cases or not blinded product in study cases always displays true treatment (unblinded drugs) information, irrespective of the blinded status of the study in RM tables.

- The blinding logic is applied as per the latest product/study information present in the case/LM tables at the time of ETL execution.

- The not blinded study cases, always display true treatment information.

#### 4.1.4 RM Delete Case Support

This section explains the RM Delete Case Support details as follows:

- Records deleted in a later revision of a case are marked with an EFFECTIVE_END_DATE date corresponding to the EFFECTIVE_START_DATE of the revision in which they do not appear any more.

- These cases are returned when querying with as-of dates before deletion. These cases are not returned when querying with as-of dates after deletion.

- Data revisions corresponding to any deleted item/entity (for example, deleted Products and Events) in case-related child tables are not maintained in the database.

- Duplicate revisions with same EFFECTIVE_START_DATE as identified by the DLP are not fetched into Reporting Mart.

- Deleted cases refer to the logical deletion of cases in Argus Safety.

- Deleted locked case revisions for all locked revisions can be queried from case-level index table.

#### 4.1.5 RM Reference Data

This section explains the RM Reference Data details as follows:

- The LM/CFG/CMN/CL data is available in the RM.

- RM supports all the versions of various dictionaries that are supported by Argus Safety:

  - MedDRA

  - WHO Drug

- The dictionary data is available in RM through the ETL.

- The dictionary and its version that is applicable for a specific enterprise is obtained from the profile switches of Argus Safety.

- At a time, an enterprise can access only one version of the dictionary for both drugs and events dictionaries.

- The enterprises that need to configure their own SMQ's (CMQ's) are able to achieve it through the specific dictionary version being loaded into their enterprise and by adding a customized SMQ's to it.

- Any changes due to MedDRA re-coding in the case data as well as reference data is transferred to Argus Mart.

### 4.2 Signal Detection Tables (SM Tables)

This section contains information on the following:

- SM Data Fields

- SM Revisions

- SM Secure Unblinding

- SM Delete Case Support

- SM Reference Data

- Common Profile Switches

- SM Configuration Data

Go to Contents

#### 4.2.1 SM Data Fields

This section explains the SM Data Fields as follows:

- Argus Mart populates the data required for Empirica Signal 7.3.

- The tables required for Empirica Signal are added and populated by the ETL (Initial and Incremental) in the Mart. Only the columns having value the STANDARD in the STANDARD/CUSTOM column are created (through Schema Creation) and populated. The columns having the value CUSTOM in the STANDARD/CUSTOM column are customer-specific columns (these columns are handled through custom implementation).

- The tables required for Empirica Signal have a case identifier (CASE_ID) that links all records for a case.

- The ETL also maintains Unique Value Tables (UVT) for the first-human language and second-human language, as defined in the system. The UVTs contain a list of distinct values available for categorical data items in the case data. These UVTs populate pick lists in the Empirica Signal query interface.

  Note:

  For more information, refer to the Flexible Data Re-categorization section of the Argus Safety 7.0.2 Release Notes.

- Decodes of the coded values for the first-human language and the second-human language are maintained using Flexible Data Re-categorization - Discrete Variables Data Structures.

  Note:

  For more information on Flexible Data Re-categorization, refer to the Flexible Data Re-categorization Code List section of the Argus Mart 1.0 Extensibility Guide.

- The SM Tables include derived case-level tags that identify cases that qualify for each Standardized MedDRA Query (SMQ) and Customized MedDRA Query (CMQ) definition (including the MedDRA MSSO supported algorithms).

#### 4.2.2 SM Revisions

This section explains the SM Revisions as follows:

- The SM tables have only locked/archived case revisions, including the post-lock revisions.

- SM tables support queries that require the last locked revision of all cases as of any particular time. The most recent data from unlocked cases is not required.

- For compatibility with Empirica Signal the signal detection tables include columns named VALIDSTART and VALIDEND, where:

  - VALIDSTART represents the case last save date and time of a locked case revision.

  - VALIDEND represents the case last save date and time up to the next locked revision.

- The history of case revisions is supported from the time the DLP system is deployed in production.

- The SM tables create a locked revision of an unlocked case on its archival.

#### 4.2.3 SM Secure Unblinding

This section explains the SM Secure Unblinding as follows:

- SM tables maintain separate columns for true treatment information and blinded information, until study is finished and unblinded for all members.

- A new time-stamped locked revision is created for all the cases using that study. All the blinded information columns are updated with drug information, as available in the DLP database.

- The source columns do not display actual data for blinded cases.

#### 4.2.4 SM Delete Case Support

This section explains the SM Delete Case Support as follows:

- Records deleted in a later revision of a locked case are marked with a valid end-date, corresponding to the valid-start of the locked revision in which they do not appear any more.

- These cases are returned when querying with as-of dates before deletion.

- These cases are not being returned when querying with as-of dates after deletion.

- If a case is deleted/undeleted several times, then data is returned only for as-of dates when the case is undeleted.

- Deleted cases refer to the logical deletion of cases in Argus Safety.

#### 4.2.5 SM Reference Data

This section explains the SM Reference Data as follows:

- The ETL table SOURCE_INFO contains information of the minimum and maximum Last Update Time of the cases that exists in SM tables. These minimum and maximum values are used as boundary conditions for as-on date query feature in Empirica Signal. The column ASOFDATE of this table is populated with the Last Update Time of the most recent case revision processed by the ETL. This table is updated as the last step of a successful ETL. It is not updated if the ETL fails due to an error. This table has one row per enterprise.

- If there is any change in any reference data (including all the code lists) referred by derived or computed data item in SM tables, such as: country/reporter/product/product family/MedDRA (including SMQ/CMQ) data then new post-locked case revision is created in SM tables for all the cases that exist in SM tables and contain those reference values. The new case revision is created only for locked case revisions only.

- Signal Mart supports all the versions of MedDRA dictionary that are supported by Argus Safety.

- The dictionary and its version that is applicable for a specific enterprise is obtained from the profile switches of Argus Safety.

- At a time, an enterprise can access only a single latest version of the dictionary (including clinical study cases). All the cases in an enterprise are coded with or refer to the latest version of the MedDRA dictionary.

- The enterprises that need to configure their own SMQ's (CMQ's) are able to achieve it through the specific dictionary version being loaded into their enterprise and adding the SMQ's to it through customization.

- The ETL also maintains Unique Value Tables (UVT) for the first and second human language defined in the system. The UVTs contain the list of distinct values available for categorical data items in the case data. The UVTs are used to populate pick lists in the Empirica Signal query interface.

- The deleted records in LM/CFG/CL/CMN tables are included while populating SM tables.

#### 4.2.6 Common Profile Switches

This section explains the Common Profile Switches as follows:

- Argus Mart 1.0 comprises the following profile switches:

  - CUSTOM DATASHEET FOR LISTEDNESS - Populates the listedness column for custom datasheet.

  - SMQ/CMQ FOR FATAL TERMS - Identifies the fatal terms.

  - FIRST HUMAN LANGUAGE - Configures the first human language for derived decoded items in SM tables.

  - SECOND HUMAN LANGUAGE - Configures the second human language for derived decoded items in SM tables.

- All the Global Profile Switches are pushed to Argus Safety when Argus Mart is installed and are configured through Argus Console.

- In a multi-mart (multi-AM) setup, all the Global Profile Switches are created with the first AM setup itself. All the other AM instances use the same Global Profile Switches by using the same values for the switches (that is, it needs to be ensured that same naming has been used for package/procedure for custom hooks in each AM).

#### 4.2.7 SM Configuration Data

The configuration data that Argus Mart supports for integration with Empirica Signal is as follows:

- The configuration data is available for all the enterprises in case of multi-tenant installation.

- The following tables has been introduced in Argus Mart 1.0:

  - DM_CONFIGS - Contains the details for the two data configurations to be supported in Signal (Argus (S+C) and Argus (S)).

  - ES_CFG_ALL - Contains a list of all Signal Configuration Variables for Argus (S+C) data configuration.

  - ES_CFG_ALL_S - Contains a list of all Signal Configuration Variables for Argus (S) data configuration.

  - ES_DRILLDOWN - Contains the contents of drilldown map that determines content when Viewing Case Details.

  Note:

  For more information on the SM Configuration Data, refer to the Empirica Signal 7.3.3.1 Release Notes.

- A view with valid set of SMQ values based on MedDRA dictionaries is introduced in Argus Mart 1.0.

### 4.3 Multi-Tenancy Support

This section explains the multi-tenancy support by Argus Mart 1.0:

- Argus Mart follows the Argus Safety 7.0 design principles (VPD) to implement multi-tenancy.

- All the data in Argus Mart is partitioned by enterprise_id as it exists in Argus Safety source system.

- Users cannot view any data without setting the context to an enterprise. Context is always set to a single enterprise only, for both RM and SM data.

- Argus Mart comprises the AM_CFG_ENTERPRISE table with the following data:

  - Enterprise_ID - Internal sequence value for enterprises. This value synchronizes with the Argus Safety CFG_ENTERPRISE.ENTERPRISE_ID column when ETL is executed for enterprise_abbrv as defined by the user in the AM_CFG_ENTERPRISE table.

  - Enterprise_Abbrv - Abbreviation for the enterprise, as mentioned by the user for Argus Mart instance deployment. ETL fetches data for only the Argus Safety enterprises that are mentioned here.

- The AM_CFG_ENTERPRISE table is populated with the enterprise_id of the enterprises that are fetched to the Argus Mart instance. Argus Mart ETL also fetches data for only those Argus Safety enterprises that exist in the AM_CFG_ENTERPRISE table.

- Argus Mart fetches data from a single Argus Safety database only.

- Multiple Argus Mart instances can be set up for the same Argus Safety source database.

  - An enterprise can be created in any one of the Argus Mart instances.

  - The Argus Mart deployment location is independent of where the Argus Safety database is located.

Go to Contents

### 4.4 ETL

This section contains information on AM ETLs:

- ETL Scheduler

- ETL Execution

- ETL Extensibility

Go to Contents

#### 4.4.1 ETL Scheduler

This section explains the ETL Scheduler details as follows:

- Argus Mart uses the ODI scheduling feature to facilitate incremental ETL scheduling and to control and monitor ETL processing.

- The incremental ETL can be scheduled to run every hour by default, and no manual intervention is required for incremental ETL execution.

- The next incremental ETL process for a given instance cannot start if the incremental ETL process for that instance is still running.

- Two or more ETL processes for different target AM instances can run simultaneously.

Note:

For more information, refer to the ETL Scheduling section of the Argus Mart 1.0 Administrator's Guide.

#### 4.4.2 ETL Execution

This section explains the ETL Execution details as follows:

- ODI is used for initial and incremental ETL execution.

- Users can use the ODI feature to debug the ETL problem.

- Incremental ETL is commit as a unit and does not leave partial results in the data mart in the event of an error.

- Argus Mart is continuously available for querying and reporting when incremental ETL is running.

- Initial ETL - All the revisions of all cases are fetched into Mart. The Initial ETL features, such as Resume, Restart, and etc. are also available.

- Re-run Initial ETL - The re-run Initial ETL feature is not available for Argus Mart. However, it is possible to re-populate data resetting the environment manually.

- Incremental ETL - All the revisions after the last ETL run are fetched into Argus Mart.

- Incremental ETL has the option to execute only a subset of the number of revisions to be processed in a single incremental ETL run defined in the profile switch - REVISIONS TO PROCESS. This upper limit on the number of revisions to process does not include bulk updates, such as:

  - Back-end updates made as a single transaction ID

  - SM changes due to MedDRA SMQ/CMQ changes

  - Reference data changes

- SM processing per Argus Mart installation cannot be disabled based on the value defined in the ENABLE SM PROCESSING profile switch. This is a one-time setting before the initial ETL execution.

Note:

For more information on the Initial ETL, refer to the Extracting, Transforming, and Loading Data chapter of the Argus Mart 1.0 Installation Guide.

For more information on the Incremental ETL, refer to the Managing the Incremental ETL Process chapter of the Argus Mart 1.0 Administrator's Guide.

#### 4.4.3 ETL Extensibility

This section explains the ETL Extensibility details as follows:

- The user can add custom columns and tables to standard RM and SM tables and populate them during ETL.

- These extensions have common profile switches to configure the procedure that can be executed at the following stages of both Initial and Incremental signal ETL:

  - Before populating stage tables

  - Before populating reporting tables

  - After populating reporting tables

  - Before populating signal helper tables

  - After completion of population of signal helper tables and before performing comparison of helper tables' data with SM tables data.

  - After completion of ETL

- If there is any change in customer-defined extended column data, a new case revision can be created in the SM tables in the same way that changes in the standard columns would create.

- If any customer-defined extended column(s) and/or table(s) is added after the data mart is in production, the user-supplied logic can only be applied to the new data added to the Mart after the extended column(s) and/or table(s) is implemented. The Argus Mart ETL does not update any existing records for such extensions at the time of implementation.

- The custom routines mentioned above are implemented at the global level. However, users can provide the enterprise-specific logic by mentioning the Enterprise ID.

- All the Global Profile Switches are pushed to Argus Safety when Argus Mart is installed. These switches can be configured through Argus Console.

- In a multi-mart (multi-AM) setup, all the Global Profile Switches are created with the first AM setup itself. All the other AM instances can use the same Global Profile Switches by using the same values for the switches (that is, it needs to be ensured that same naming is used for package/procedure for custom hooks in each AM).

Note:

For more information, refer to the Argus Mart 1.0 Extensibility Guide.

### 4.5 User Management

This section explains User Management details for Argus Mart 1.0:

- AM specific users are not created from Argus Safety Console and also not brought over to Argus Mart via ETL.

- All users in an enterprise are allowed to access data from AM data mart for that enterprise.

Go to Contents

## 5 Installing Oracle Argus Mart 1.0

For detailed instructions on how to install Oracle Argus Mart 1.0, see the Oracle Argus Mart 1.0 Installation Guide.

### 5.1 References

The user documentation includes:

- Oracle Argus Mart 1.0 Installation Guide

- Oracle Argus Mart 1.0 Administrator's Guide

- Oracle Argus Mart 1.0 Extensibility Guide

In addition, Oracle Argus Mart customers can request copies of the following Oracle Argus Mart Technical Reference Manuals (TRMs) from Customer Support:

- Oracle Argus Mart 1.0 CMN Profile Guide

- Oracle Argus Mart 1.0 Database Administrator's Guide

- Oracle Argus Mart 1.0 E-R Diagram Reference

- Oracle Argus Mart 1.0 Report Mapping Reference

#### 5.1.1 Oracle User Documentation

You can download the most current version of the user documentation in PDF and HTML format from the Oracle Health Sciences documentation page at:

`https://www.oracle.com/technetwork/documentation/hsgbu-safety-407502.html`

Note:

Always check the Oracle Health Sciences documentation page to ensure you have the latest updates to the documentation.

Go to Contents

## 6 Revision History

This is the first version of these release notes.

Go to Contents

## 7 Documentation Accessibility

For information about Oracle's commitment to accessibility, visit the Oracle Accessibility Program website at `http://www.oracle.com/pls/topic/lookup?ctx=acc&id=docacc`.

Access to Oracle Support

Oracle customers have access to electronic support through My Oracle Support. For information, visit `http://www.oracle.com/pls/topic/lookup?ctx=acc&id=info` or visit `http://www.oracle.com/pls/topic/lookup?ctx=acc&id=trs` if you are hearing impaired.

Release Notes, For Release 1.0

Copyright © 2013, Oracle and/or its affiliates. All rights reserved.

This software and related documentation are provided under a license agreement containing restrictions on use and disclosure and are protected by intellectual property laws. Except as expressly permitted in your license agreement or allowed by law, you may not use, copy, reproduce, translate, broadcast, modify, license, transmit, distribute, exhibit, perform, publish, or display any part, in any form, or by any means. Reverse engineering, disassembly, or decompilation of this software, unless required by law for interoperability, is prohibited.

The information contained herein is subject to change without notice and is not warranted to be error-free. If you find any errors, please report them to us in writing.

If this is software or related documentation that is delivered to the U.S. Government or anyone licensing it on behalf of the U.S. Government, the following notice is applicable:

U.S. GOVERNMENT RIGHTS Programs, software, databases, and related documentation and technical data delivered to U.S. Government customers are "commercial computer software" or "commercial technical data" pursuant to the applicable Federal Acquisition Regulation and agency-specific supplemental regulations. As such, the use, duplication, disclosure, modification, and adaptation shall be subject to the restrictions and license terms set forth in the applicable Government contract, and, to the extent applicable by the terms of the Government contract, the additional rights set forth in FAR 52.227-19, Commercial Computer Software License (December 2007). Oracle America, Inc., 500 Oracle Parkway, Redwood City, CA 94065.

This software or hardware is developed for general use in a variety of information management applications. It is not developed or intended for use in any inherently dangerous applications, including applications that may create a risk of personal injury. If you use this software or hardware in dangerous applications, then you shall be responsible to take all appropriate fail-safe, backup, redundancy, and other measures to ensure its safe use. Oracle Corporation and its affiliates disclaim any liability for any damages caused by use of this software or hardware in dangerous applications.

Oracle and Java are registered trademarks of Oracle and/or its affiliates. Other names may be trademarks of their respective owners.

Intel and Intel Xeon are trademarks or registered trademarks of Intel Corporation. All SPARC trademarks are used under license and are trademarks or registered trademarks of SPARC International, Inc. AMD, Opteron, the AMD logo, and the AMD Opteron logo are trademarks or registered trademarks of Advanced Micro Devices. UNIX is a registered trademark of The Open Group.

This software or hardware and documentation may provide access to or information on content, products, and services from third parties. Oracle Corporation and its affiliates are not responsible for and expressly disclaim all warranties of any kind with respect to third-party content, products, and services. Oracle Corporation and its affiliates will not be responsible for any loss, costs, or damages incurred due to your access to or use of third-party content, products, or services.